import { capitalize } from "../../../types/common"

interface ComponentProps {
  value: string,
  isSelected?: boolean
  onChange: () => void,
  inputName: string
}

const CheckboxInput = (props: ComponentProps) => (
  <div style="align-self: stretch; justify-content: flex-start; align-items: center; gap: 12px; display: inline-flex">
    <input checked={props.isSelected} 
      type={"checkbox"} 
      style={{ width: 16, height: 16 }} 
      className={"input-checkbox"} 
      value={props.value} 
      name={props.inputName} 
      onChange={props.onChange} 
    />
    <div style="color: white; font-size: 14px; line-height: 21px; letter-spacing: 0.56px; word-wrap: break-word">{capitalize(props.value)}</div>
  </div>
)

export default CheckboxInput